Bug 9074 - SIGSEGV when kickstarting with DHCP/BOOTP without hostname specified
SIGSEGV when kickstarting with DHCP/BOOTP without hostname specified
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-02 14:13 EST by Dmitry V. Ketov
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-15 16:37:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry V. Ketov 2000-02-02 14:13:07 EST
Hi all!
I'm tried to install RH 6.1 using kickstart file that resides on my
DHCP/BOOTP server in /kickstart and can be retrieved through NFS.
Unfortunately i im too lazy person to specify
host-name option in my DHCP/BOOTP server configuration and reverse zone
configuration files for my DNS server :).

It caused an error:
Installer failed with SIGSEGV in loader.c when trying to
strlen(netDev.dev.hostname) cause netDev.dev.hostname was equal to NULL
in
ksPath = alloca(strlen(file) + strlen(netDev.dev.hostname) + 70);

Thanks in advance for bugfix :)

~=~=~=~=~=~=~=~=~
Dmitry.
Comment 1 Erik Troan 2000-02-15 16:37:59 EST
This should be fixed in piglet. Please reopen if this continues.

Note You need to log in before you can comment on or make changes to this bug.